<template>
  <div>
    <Notifications />
    <Header />
    <Nuxt />
    <Footer />
  </div>
</template>

<script>
import Header from '~/components/layout/Header'
import Footer from '~/components/layout/Footer'
import Notifications from '~/components/Notifications.vue'

export default {
  middleware: ['isAuth'],
  name: 'Customer',
  transition: 'fade',
  components: {
    Header,
    Footer,
    Notifications,
  },
  // mounted() {
  // if (!this.$store.state.auth.customer) {
  //   this.$router.push({
  //     name: 'signin',
  //     params: { redirectTo: this.$route.path },
  //   })
  // }
  // },
  beforeMount() {
    window.addEventListener('beforeunload', this.logOut)
  },
  methods: {
    logOut() {
      this.$store.dispatch('auth/logOut')
      this.$apolloHelpers.onLogout()
    },
  },
}
</script>

<style>
html,
body {
  overflow-x: hidden;
}
.fade-enter-active,
.fade-leave-active {
  transition: opacity 1s;
}
.fade-enter,
.fade-leave-active {
  opacity: 0;
}
</style>
